<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__lwip_8h" kind="file" language="C++">
    <compoundname>cy_lwip.h</compoundname>
    <includes local="no">whd_wifi_api.h</includes>
    <includes local="no">cy_result.h</includes>
    <includes local="no">lwip/ip_addr.h</includes>
    <incdepgraph>
      <node id="3">
        <label>lwip/ip_addr.h</label>
      </node>
      <node id="0">
        <label>cy_lwip.h</label>
        <link refid="cy__lwip_8h" />
        <childnode refid="1" relation="include">
        </childnode>
        <childnode refid="2" relation="include">
        </childnode>
        <childnode refid="3" relation="include">
        </childnode>
      </node>
      <node id="2">
        <label>cy_result.h</label>
      </node>
      <node id="1">
        <label>whd_wifi_api.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</innerclass>
    <innerclass prot="public" refid="structip__static__addr__t">ip_static_addr_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf" kind="enum" prot="public" static="no">
        <name>cy_lwip_nw_interface_role_t</name>
        <enumvalue id="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfa546079ed70f4d411eef664709297c929" prot="public">
          <name>CY_LWIP_STA_NW_INTERFACE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>STA or Client Interface. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfacc3d978c1c58d6d0d7b7658317268326" prot="public">
          <name>CY_LWIP_AP_NW_INTERFACE</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>SoftAP Interface. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_lwip_nw_interface_role_t: </bold><linebreak />Enumeration of network interface role.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="36" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" bodystart="32" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="33" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__lwip__whd__port__functions_1gab2eff4fe44d6eeb7e4de75d6dc47ed57" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_eapol_packet_handler_t) (whd_buffer_t buffer, whd_interface_t whd_iface)</definition>
        <argsstring>)(whd_buffer_t buffer, whd_interface_t whd_iface)</argsstring>
        <name>cy_eapol_packet_handler_t</name>
        <briefdescription>
<para>EAPOL handler to receive EAPOL data. </para>        </briefdescription>
        <detaileddescription>
<para>buffer should be freed by EAPOL handler</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>buffer received from WHD. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">interface</parametername>
</parameternamelist>
<parameterdescription>
<para>WHD interface. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="77" />
      </memberdef>
      <memberdef id="group__group__lwip__whd__port__functions_1gac1287ee1b07381abccf600602f4ba6b3" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_network_activity_event_callback_t) (bool callback_arg)</definition>
        <argsstring>)(bool callback_arg)</argsstring>
        <name>cy_network_activity_event_callback_t</name>
        <briefdescription>
<para>Network activity callback function prototype Callback function which can be registered/unregistered for any network activity needs to be of this prototype. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" bodystart="161" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="161" />
      </memberdef>
      <memberdef id="group__group__lwip__whd__port__functions_1ga7b229101bd63cde13ec6d3e856b64227" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_lwip_ip_change_callback_t) (void *data)</definition>
        <argsstring>)(void *data)</argsstring>
        <name>cy_lwip_ip_change_callback_t</name>
        <briefdescription>
<para>IP change callback function prototype Callback function which can be registered to receive IP changes needs to be of this prototype. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" bodystart="168" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="168" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1gaa92d2b029f1719d65c8e45bf4633033e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_lwip_add_interface</definition>
        <argsstring>(cy_lwip_nw_interface_t *iface, ip_static_addr_t *ipaddr)</argsstring>
        <name>cy_lwip_add_interface</name>
        <param>
          <type><ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref> *</type>
          <declname>iface</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structip__static__addr__t">ip_static_addr_t</ref> *</type>
          <declname>ipaddr</declname>
        </param>
        <briefdescription>
<para>Adds a network interface to LwIP and brings it up, a network interface contains a WHD Wi-Fi Interface and role such as STA, AP. </para>        </briefdescription>
        <detaileddescription>
<para>This is the entry point in this file. This function takes network interface adds to LwIP, configures the optional static IP address and registers to IP change callback.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;static IP address is mandatory for AP interface.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">iface</parametername>
</parameternamelist>
<parameterdescription>
<para>Network interface to be added. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ipaddr</parametername>
</parameternamelist>
<parameterdescription>
<para>IPv4/IPv6 address information associated with the interface.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RESULT_SUCCESS for successful addition to LwIP or error otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1gab0cebbb216246e5c20ca4d2ab1431421" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_lwip_remove_interface</definition>
        <argsstring>(cy_lwip_nw_interface_t *iface)</argsstring>
        <name>cy_lwip_remove_interface</name>
        <param>
          <type><ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref> *</type>
          <declname>iface</declname>
        </param>
        <briefdescription>
<para>Removes a network interface from LwIP. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">iface</parametername>
</parameternamelist>
<parameterdescription>
<para>Network interface to be removed.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successful, failure code otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="100" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1ga5862d05d0e7de1c6990ff44611996c7e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>struct netif *</type>
        <definition>struct netif* cy_lwip_get_interface</definition>
        <argsstring>(cy_lwip_nw_interface_role_t role)</argsstring>
        <name>cy_lwip_get_interface</name>
        <param>
          <type><ref kindref="member" refid="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf">cy_lwip_nw_interface_role_t</ref></type>
          <declname>role</declname>
        </param>
        <briefdescription>
<para>Return the LwIP network interface for the given network interface role. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">role</parametername>
</parameternamelist>
<parameterdescription>
<para>Interface role.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>netif structure of the WHD interface, null if the interface type passed is invalid. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1gaccba9d34e0645dce907b0f5c133a7c9a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_lwip_network_up</definition>
        <argsstring>(cy_lwip_nw_interface_t *iface)</argsstring>
        <name>cy_lwip_network_up</name>
        <param>
          <type><ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref> *</type>
          <declname>iface</declname>
        </param>
        <briefdescription>
<para>This function brings up the network link layer and and starts DHCP if required. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">iface</parametername>
</parameternamelist>
<parameterdescription>
<para>Network interface to be brought up.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS on successful network bring up, failure code otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="119" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1ga41987f60da24dc3f025b8b8bab18d08f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_lwip_network_down</definition>
        <argsstring>(cy_lwip_nw_interface_t *iface)</argsstring>
        <name>cy_lwip_network_down</name>
        <param>
          <type><ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref> *</type>
          <declname>iface</declname>
        </param>
        <briefdescription>
<para>This function brings down the network interface, brings down the network link layer and stops DHCP. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">iface</parametername>
</parameternamelist>
<parameterdescription>
<para>LwIP Interface.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS on successful tear down of the network, failure code otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="129" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1ga71e35990a48914d05b040deb52565584" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_network_process_ethernet_data</definition>
        <argsstring>(whd_interface_t iface, whd_buffer_t buf)</argsstring>
        <name>cy_network_process_ethernet_data</name>
        <param>
          <type>whd_interface_t</type>
          <declname>iface</declname>
        </param>
        <param>
          <type>whd_buffer_t</type>
          <declname>buf</declname>
        </param>
        <briefdescription>
<para>This function takes packets from the radio driver and passes them into the lwIP stack. </para>        </briefdescription>
        <detaileddescription>
<para>If the stack is not initialized, or if the LwIP stack does not accept the packet, the packet is freed (dropped). This function will be registered as part of the whd_netif_funcs defined in whd.h of the WiFi Host Driver.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">iface</parametername>
</parameternamelist>
<parameterdescription>
<para>WiFi interface. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">buf</parametername>
</parameternamelist>
<parameterdescription>
<para>Packet received from the radio driver. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="154" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1ga239cf5cd46a186ee0dfe28b659b5a9f0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_network_activity_register_cb</definition>
        <argsstring>(cy_network_activity_event_callback_t cb)</argsstring>
        <name>cy_network_activity_register_cb</name>
        <param>
          <type><ref kindref="member" refid="group__group__lwip__whd__port__functions_1gac1287ee1b07381abccf600602f4ba6b3">cy_network_activity_event_callback_t</ref></type>
          <declname>cb</declname>
        </param>
        <briefdescription>
<para>This function helps to register/unregister callback fn for any TX/RX packets. </para>        </briefdescription>
        <detaileddescription>
<para>Passing "NULL" as cb will deregister the activity callback</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cb</parametername>
</parameternamelist>
<parameterdescription>
<para>Network activity callback function </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="177" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1gaaf4ad625fee4fe84caec404b453e9224" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_lwip_register_ip_change_cb</definition>
        <argsstring>(cy_lwip_ip_change_callback_t cb)</argsstring>
        <name>cy_lwip_register_ip_change_cb</name>
        <param>
          <type><ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga7b229101bd63cde13ec6d3e856b64227">cy_lwip_ip_change_callback_t</ref></type>
          <declname>cb</declname>
        </param>
        <briefdescription>
<para>This function helps to register/unregister for any IP changes from LwIP. </para>        </briefdescription>
        <detaileddescription>
<para>Passing "NULL" as callback will deregister the IP changes callback</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cb</parametername>
</parameternamelist>
<parameterdescription>
<para>IP change callback function </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="186" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lwip__whd__port__functions_1ga427efdf94cc9b0482e20e1fbbe04a8e0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>whd_result_t</type>
        <definition>whd_result_t cy_eapol_register_receive_handler</definition>
        <argsstring>(cy_eapol_packet_handler_t eapol_packet_handler)</argsstring>
        <name>cy_eapol_register_receive_handler</name>
        <param>
          <type><ref kindref="member" refid="group__group__lwip__whd__port__functions_1gab2eff4fe44d6eeb7e4de75d6dc47ed57">cy_eapol_packet_handler_t</ref></type>
          <declname>eapol_packet_handler</declname>
        </param>
        <briefdescription>
<para>This API allows registering callback functions to receive EAPOL packets from WHD. </para>        </briefdescription>
        <detaileddescription>
<para>If callback is registered and received packet is EAPOL packet then it will be directly redirected to registered callback. passing "NULL" as handler will de-register the previously registered callback</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">eapol_packet_handler</parametername>
</parameternamelist>
<parameterdescription>
<para /></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="200" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />Apache2<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="normal" /></codeline>
<codeline lineno="16"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;whd_wifi_api.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;cy_result.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;lwip/ip_addr.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal">{</highlight></codeline>
<codeline lineno="34"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfa546079ed70f4d411eef664709297c929">CY_LWIP_STA_NW_INTERFACE</ref><sp />=<sp />0,<sp /><sp /></highlight></codeline>
<codeline lineno="35"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfacc3d978c1c58d6d0d7b7658317268326">CY_LWIP_AP_NW_INTERFACE</ref><sp /><sp />=<sp />1<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="36"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf">cy_lwip_nw_interface_role_t</ref>;</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="47" refid="structcy__lwip__nw__interface__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal">{</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf">cy_lwip_nw_interface_role_t</ref><sp />role;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />whd_interface_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />whd_iface;<sp /></highlight></codeline>
<codeline lineno="51"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref>;</highlight></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="56" refid="structip__static__addr__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">ip_static</highlight></codeline>
<codeline lineno="57"><highlight class="normal">{</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />ip_addr_t<sp />addr;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />ip_addr_t<sp />netmask;<sp /></highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />ip_addr_t<sp />gateway;<sp /></highlight></codeline>
<codeline lineno="61"><highlight class="normal">}<sp /><ref kindref="compound" refid="structip__static__addr__t">ip_static_addr_t</ref>;</highlight></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__lwip__whd__port__functions_1gab2eff4fe44d6eeb7e4de75d6dc47ed57">cy_eapol_packet_handler_t</ref>)<sp />(whd_buffer_t<sp />buffer,<sp />whd_interface_t<sp />whd_iface);</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1gaa92d2b029f1719d65c8e45bf4633033e">cy_lwip_add_interface</ref>(<ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref><sp />*iface,<sp /><ref kindref="compound" refid="structip__static__addr__t">ip_static_addr_t</ref><sp />*ipaddr)<sp />;</highlight></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1gab0cebbb216246e5c20ca4d2ab1431421">cy_lwip_remove_interface</ref>(<ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref><sp />*iface);</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="keyword">struct<sp /></highlight><highlight class="normal">netif*<sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga5862d05d0e7de1c6990ff44611996c7e">cy_lwip_get_interface</ref>(<ref kindref="member" refid="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf">cy_lwip_nw_interface_role_t</ref><sp />role);</highlight></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1gaccba9d34e0645dce907b0f5c133a7c9a">cy_lwip_network_up</ref>(<ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref><sp />*iface);</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga41987f60da24dc3f025b8b8bab18d08f">cy_lwip_network_down</ref>(<ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref><sp />*iface);</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor">#if<sp />LWIP_IPV4</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal">cy_rslt_t<sp />cy_lwip_dhcp_renew(<ref kindref="compound" refid="structcy__lwip__nw__interface__t">cy_lwip_nw_interface_t</ref><sp />*iface);</highlight></codeline>
<codeline lineno="141"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga71e35990a48914d05b040deb52565584">cy_network_process_ethernet_data</ref>(whd_interface_t<sp />iface,<sp />whd_buffer_t<sp />buf);</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__lwip__whd__port__functions_1gac1287ee1b07381abccf600602f4ba6b3">cy_network_activity_event_callback_t</ref>)(</highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />callback_arg);</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga7b229101bd63cde13ec6d3e856b64227">cy_lwip_ip_change_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*data);</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga239cf5cd46a186ee0dfe28b659b5a9f0">cy_network_activity_register_cb</ref>(<ref kindref="member" refid="group__group__lwip__whd__port__functions_1gac1287ee1b07381abccf600602f4ba6b3">cy_network_activity_event_callback_t</ref><sp />cb);</highlight></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1gaaf4ad625fee4fe84caec404b453e9224">cy_lwip_register_ip_change_cb</ref>(<ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga7b229101bd63cde13ec6d3e856b64227">cy_lwip_ip_change_callback_t</ref><sp />cb);</highlight></codeline>
<codeline lineno="187"><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal">whd_result_t<sp /><ref kindref="member" refid="group__group__lwip__whd__port__functions_1ga427efdf94cc9b0482e20e1fbbe04a8e0">cy_eapol_register_receive_handler</ref>(<ref kindref="member" refid="group__group__lwip__whd__port__functions_1gab2eff4fe44d6eeb7e4de75d6dc47ed57">cy_eapol_packet_handler_t</ref><sp />eapol_packet_handler);</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal">}</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" />
  </compounddef>
</doxygen>